@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  user-select: none;
}

body {
  background: #675aff;
  display: grid;
  place-items: center;
  height: 100vh;
}

.container {
  width: 300px;
  background: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
  border-radius: 7px;
  box-shadow: 0px 0px 10px #302696;
}

.header > h1 {
  font-size: 25px;
}

.input {
  width: 100%;
  input {
    width: 100%;
    padding: 10px;
    outline: none;
    border: 1px solid #b4b4b4;
    border-radius: 5px;
  }
}

.from-to {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.box {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border: 1px solid #b4b4b4;
  border-radius: 5px;
  padding: 5px;
  img {
    width: 30px;
  }
  select {
    border: none;
    outline: none;
  }
}
.result {
  width: 100%;
}
button {
  width: 100%;
  padding: 10px;
  background: #675aff;
  color: #fff;
  outline: none;
  border: none;
  border-radius: 5px;
}

button:hover {
  background: #493cd6;
}

.error-box {
  display: none;
  position: absolute;
  top: 10px;
  left: 50%;
  transform: translate(-50%, 0%);
  width: 300px;
  background: rgb(182, 0, 0);
  border-radius: 7px;

  h1 {
    padding: 20px;
    font-size: 15px;
    text-align: center;
    color: #fff;
  }
}
